.Button {
	@apply w-full;
}

.Button button {
	@apply bg-black
    border-4
    border-solid
    border-black
    m-2
    px-4
    py-1
    rounded
    rounded-xl
    transition-all
    text-gray-100;
}
.Button button:hover,
.Button button:focus-visible {
	@apply bg-gray-600 border-gray-600;
}
.Button button:active {
	@apply bg-gray-500 border-gray-500 bg-black border-black;
}

.Button button.fullWidth {
	@apply w-full;
}

.Button button.callToAction {
	@apply bg-green-500 border-green-500 text-black;
}
.Button button.callToAction:hover,
.Button button.callToAction:focus-visible {
	@apply bg-green-400 border-green-400;
}
.Button button.callToAction:active {
	@apply bg-green-500 border-green-500;
}

.Button button.callToInaction {
	@apply bg-gray-300 border-gray-300 text-black;
}
.Button button.callToInaction:hover,
.Button button.callToInaction:focus-visible {
	@apply bg-gray-200 border-gray-200 text-black;
}
.Button button.callToInaction:active {
	@apply bg-gray-300 border-gray-300 text-black;
}

.Button button.warning {
	@apply bg-yellow-500 border-yellow-500 text-black;
}
.Button button.warning:hover,
.Button button.warning:focus-visible {
	@apply bg-yellow-400 border-yellow-400 text-black;
}
.Button button.warning:active {
	@apply bg-yellow-500 border-yellow-500 text-black;
}

.Button button.danger {
	@apply bg-red-500 border-red-500 text-white;
}
.Button button.danger:hover,
.Button button.danger:focus-visible {
	@apply bg-red-400 border-red-400 text-white;
}
.Button button.danger:active {
	@apply bg-red-500 border-red-500 text-white;
}

.Button button.outline,
.Button button.outline:hover,
.Button button.outline:focus-visible {
	@apply bg-transparent opacity-80 text-current;
}

.Button button.disabled,
.Button button.disabled:active,
.Button button.disabled:hover,
.Button button.disabled:focus-visible {
	@apply bg-gray-100 border-gray-100 bg-black border-black cursor-default text-gray-300;
}
